//**************************************************************************//
//* trivtests: unit tests for library libtrivia                            *//
//* test: main program                                                     *//
//* (C) Joachim Wuttke 2001-                                               *//
//* http://apps.jcns.fz-juelich.de                                         *//
//**************************************************************************//

#include <cstdlib>
#include <iostream>
#include <string>
#include <vector>

#include "../lib/string_convs.hpp"
#include "../lib/string_ops.hpp"
#include "../lib/vector_ops.hpp"
#include "../lib/math.hpp"
#include "../lib/file_ops.hpp"
#include "../lib/rng.hpp"

using namespace std;

int main()
{
    cout << "trivtests:\n";

    cout << "nonauto:\n";
    cout << "# no automatic checking: inspect the following lines one by one\n";
    cout << "dble to strg:\n";
    cout << triv::strg(1+4e-6) << "\n";
    cout << triv::strg(1+6e-6) << "\n";
    cout << "time:\n";
    cout << triv::time2strg(time(0)) << "\n";
    cout << "/time\n";
    cout << "/nonauto\n";
    cout << "/trivtests\n";
}
